summaryrefslogtreecommitdiffstats
path: root/games/warzone2100/warzone2100.SlackBuild
diff options
context:
space:
mode:
author Andrew Waters <ccfreak2k@gmail.com>2010-05-11 20:00:35 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:35 +0200
commitf0e9cd2e15a205f17f5f3917934144e4c3fea7d5 (patch)
treed97ac9c1c78144c7ff23bf6ee9d8e761e50d783d /games/warzone2100/warzone2100.SlackBuild
parent8f315ce5242a2da9eb89dd774efe5c9c092ed92c (diff)
downloadslackbuilds-f0e9cd2e15a205f17f5f3917934144e4c3fea7d5.tar.gz
slackbuilds-f0e9cd2e15a205f17f5f3917934144e4c3fea7d5.tar.xz
games/warzone2100: Added to 12.0 repository
Diffstat (limited to 'games/warzone2100/warzone2100.SlackBuild')
-rw-r--r--games/warzone2100/warzone2100.SlackBuild76
1 files changed, 76 insertions, 0 deletions
diff --git a/games/warzone2100/warzone2100.SlackBuild b/games/warzone2100/warzone2100.SlackBuild
new file mode 100644
index 0000000000..487ccb6d4c
--- /dev/null
+++ b/games/warzone2100/warzone2100.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# SlackBuild script for Warzone 2100
+
+# Copyright 2008 Andrew "ccfreak2k" Waters
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=warzone2100
+VERSION=${VERSION:-2.0.10}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-data=yes \
+ --with-distributor=Slackware \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make || exit
+make install-strip DESTDIR=$PKG
+
+# Let's not pollute the themed icon directory
+mv $PKG/usr/share/icons $PKG/usr/share/pixmaps
+
+# --docdir= above works :) but leaves out a few things we want...
+cp COMPILE INSTALL TODO $CWD/$PRGNAM.SlackBuild $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz